Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Get Transform Details

GET/transforms/details
Authorization
AuthorizationBearer token · headerrequired
Responses
200

Successful Response

pageinteger

Current page number

default: 1
page_sizeinteger

Results per page

default: 10
totalinteger | null

Total number of results

Show properties
Any of:
integer
integer
null
null
has_nextboolean | null

Whether more pages exist

Show properties
Any of:
boolean
boolean
null
null
resultTransformDetailsEntity[]required
Show properties
Array of TransformDetailsEntity
metricsTransformMetricrequired
Show properties
tasksinteger | null
Show properties
Any of:
integer
integer
null
null
latencyinteger | null
Show properties
Any of:
integer
integer
null
null
statusstring | null
Show properties
Any of:
string
string
null
null
durationinteger | null
Show properties
Any of:
integer
integer
null
null
start_timeinteger | string | string<date-time> | null
Show properties
Any of:
integer
integer
string
string
string<date-time>
string<date-time>
null
null
end_timestring | string<date-time> | null
Show properties
Any of:
string
string
string<date-time>
string<date-time>
null
null
checkpointsTransformCheckpointsInfo | null
Show properties
Any of:
TransformCheckpointsInfo
job_idstringrequired
countsobjectrequired
summaryobjectrequired
latestTransformCheckpointHistory | null
Show properties
Any of:
TransformCheckpointHistory
idintegerrequired
statusstringrequired
is_savepointbooleanrequired
trigger_timestampintegerrequired
latest_ack_timestampintegerrequired
state_sizeintegerrequired
end_to_end_durationintegerrequired
alignment_bufferedintegerrequired
num_subtasksintegerrequired
num_acknowledged_subtasksintegerrequired
null
null
historyTransformCheckpointHistory[]
default: []
operator_breakdownTransformOperatorState[]
default: []
Show properties
Array of TransformOperatorState
operator_idstringrequired
operator_namestringrequired
state_sizeintegerrequired
checkpointed_sizeintegerrequired
end_to_end_durationintegerrequired
parallelismintegerrequired
null
null
configobject[]required
idstringrequired
namestringrequired
transform_typeTransformsLibraryEnum | string | null
Show properties
Any of:
TransformsLibraryEnum
string
string
string
null
null
sql_querystring | null
Show properties
Any of:
string
string
null
null
topicstring | null
Show properties
Any of:
string
string
null
null
topic_idstring | null
Show properties
Any of:
string
string
null
null
topicsstring[] | null
Show properties
Any of:
string[]
Array of string
string
null
null
topic_idsstring[] | null
Show properties
Any of:
string[]
Array of string
string
null
null
Request
curl -X GET 'https://api.streamkap.com/transforms/details' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "page": 1,
  "page_size": 10,
  "total": 0,
  "has_next": true,
  "result": [
    {
      "metrics": {
        "tasks": 0,
        "latency": 0,
        "status": "string",
        "duration": 0,
        "start_time": 0,
        "end_time": "string",
        "checkpoints": {
          "job_id": "string",
          "counts": {},
          "summary": {},
          "latest": {
            "id": 0,
            "status": "string",
            "is_savepoint": true,
            "trigger_timestamp": 0,
            "latest_ack_timestamp": 0,
            "state_size": 0,
            "end_to_end_duration": 0,
            "alignment_buffered": 0,
            "num_subtasks": 0,
            "num_acknowledged_subtasks": 0
          },
          "history": [],
          "operator_breakdown": []
        }
      },
      "config": [
        {}
      ],
      "id": "string",
      "name": "string",
      "transform_type": "fan_out",
      "sql_query": "string",
      "topic": "string",
      "topic_id": "string",
      "topics": [
        "string"
      ],
      "topic_ids": [
        "string"
      ]
    }
  ]
}